Subject: Re: [PATCH net-next 6/8] net: ethernet: mtk_eth_soc: convert caps in mtk_soc_data struct to u64

From: Lorenzo Bianconi <[email-masked]>
Date: Tue, 13 Jun 2023 12:10:15 +0200

> On Sun, Jun 11, 2023 at 01:39:48AM +0100, Daniel Golle wrote:
> > From: Lorenzo Bianconi <[email-masked]>
> > 
> > This is a preliminary patch to introduce support for MT7988 SoC.
> > 
> > Signed-off-by: Lorenzo Bianconi <[email-masked]>
> > Signed-off-by: Daniel Golle <[email-masked]>
> 
> At some point, I'd really like to unpick this and see whether there's a
> better structure to it - so that mac_config() doesn't have to save the
> syscfg0 value, and restore it in mac_finish(). Given that syscfg0 is a
> shared register, are we sure the code that updates this register is safe
> from races caused by two MACs going through the config progress in two
> separate CPUs at the same time?

Agree, this seems a bit racy. However it does not seem related to this patch.
I would say we can address it with a follow-up patch.

Regards,
Lorenzo

> 
> Is there anything which prevents two or more MACs wanting to mess with
> the contents of the SYSCFG0_SGMII_MASK bits? It's difficult to tell with
> the current code.
> 
> Thanks.
> 
> -- 
> RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!
> 
_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel